package com.aucma.base.mapper;

import com.aucma.base.domain.RtDailyProdState;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

/**
 * 设备当日实时产量状态Mapper
 */
public interface RtDailyProdStateMapper {

    RtDailyProdState selectForUpdate(@Param("prodDate") Date prodDate,
                                     @Param("deviceCode") String deviceCode,
                                     @Param("paramName") String paramName);

    int insertRtDailyProdState(RtDailyProdState state);

    int updateRtDailyProdState(RtDailyProdState state);
}
